# onlyoffice

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/onlyoffice/status.svg?ref=refs/heads/main)](https://drone.autonomic.zone/coop-cloud/onlyoffice)

<!-- metadata -->

* **Category**: Apps
* **Status**: 3, stable
* **Image**: [`onlyoffice`](https://hub.docker.com/r/onlyoffice/documentserver/), 4, upstream
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: N/A
* **Tests**: 2
* **SSO**: No
<!-- endmetadata -->

## Basic usage

* `abra app new onlyoffice`
* `abra app config <app-name>`
    - uncomment `COMPOSE_FILE` and `SECRET_JWT_SECRET_VERSION` to enable JWT Secret
* `abra app secret generate -a <app-name>`
* `abra app deploy <app-name>`


For more, see [`docs.coopcloud.tech`](https://docs.coopcloud.tech) and [`ONLYOFFICE/Docker-DocumentServer`](https://github.com/ONLYOFFICE/Docker-DocumentServer).
[Official Onlyoffice docker compose](https://github.com/ONLYOFFICE/Docker-DocumentServer/blob/master/docker-compose.yml)
